:root {
  --primary-color: #047aed;
  --secondary-color: #1c3fa8;
  --dark-color: #002240;
  --light-color: #f4f4f4;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: "Lato", sans-serif;
  color: #333;
  line-height: 1.6;
}

ul {
  list-style-type: none;
}

a {
  text-decoration: none;
  color: inherit;
}

.showcase h1 {
  padding-top: 50px;
}

h1,
h2 {
  font-weight: 500;
  line-height: 1.2;
  margin: 10px 0;
}

p {
  margin: 10px 0;
  font-weight: 300;
  /* color: var(--dark-color); */
  line-height: 1.9;
}

img {
  width: 100%;
}

.hidden {
  visibility: hidden;
  height: 0px;
}

/*  Navbar */
.navbar {
  background-color: var(--primary-color);
  color: #fff;
  height: 70px;
}

.navbar ul {
  display: flex;
}

.navbar a {
  color: #fff;
  margin-right: 20px;
  align-items: center;
  position: relative;
}

.navbar a::before,
.navbar a::after {
  content: "";
  width: 100%;
  height: 2px;
  margin: 0;
  background: #fff;
  position: absolute;
  left: 0;
  transform: scaleX(0);
  transition: transform 0.3s ease-in-out;
}

.navbar a::after {
  bottom: 0;
  transform-origin: right;
}

.navbar a::before {
  top: 0;
  transform-origin: left;
}

.navbar a:hover::before,
.navbar a:hover::after {
  transform: scaleX(1);
}

.navbar .flex {
  justify-content: space-between;
}

/* Hero / Showcase */
.showcase {
  height: 100vh;
  max-width: 100%;
  background: url("../images/background-2-image.png") no-repeat center/cover;
  color: #fff;
}

.card {
  background: #fff;
  border-radius: 10px;
  padding: 20px;
  margin: 10px;
  color: #333;
  box-shadow: 0 3px 10px rgba(0, 0, 0, 0.2);
}

/* Background and coloured buttons */
.bg-primary,
.btn-primary {
  background-color: var(--primary-color);
  color: #fff;
}

.btn {
  display: inline-block;
  background: var(--orange-color);
  padding: 10px 30px;
  color: #fff;
  cursor: pointer;
  background-color: var(--primary-color);
  border-radius: 5px;
  border: none;
}

.btn-outline {
  background-color: transparent;
  border: 1px solid #fff;
}

.btn:hover {
  scale: 0.9;
}

/* Stats  */
.stats {
  padding-top: 50px;
}

.grid-3 {
  grid-template-columns: repeat(3, 1fr);
}

.text-center {
  text-align: center;
}

.stats-heading {
  max-width: 500px;
  margin: auto;
  font-weight: 400;
}

.my-4 {
  margin: 40px 0;
}

.stats .grid h3 {
  font-size: 35px;
}

.stats .grid p {
  font-size: 20px;
  font-weight: 400;
}

/* Cli */
.cli .grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(2, 1fr);
}

.cli .grid > img {
  /* .cli .grid  > *:first-child { */
  grid-column: 1 / span 2;
  grid-row: 1 / span 2;
  align-self: center;
}

/* Cloud */
.cloud .grid {
  grid-template-columns: repeat(2, 1fr);
}

/* Languades */
.languages h2 {
  font-size: 2.5rem;
}

.languages .flex {
  flex-wrap: wrap;
}

.languages .card {
  text-align: center;
  margin: 18px 10px 40px;
  transition: transform 0.2s ease-in;
}

.languages .card h4 {
  font-size: 20px;
  margin-bottom: 10px;
}

.languages .card:hover {
  transform: translateY(-15px);
}

/* Footer */
.footer .social a {
  margin: 0 10px;
}

.fa-github:hover {
  color: #000000;
}

.fa-facebook:hover {
  color: #1773ea;
}

.fa-instagram:hover {
  color: #b32e87;
}

.fa-twitter:hover {
  color: #1c9cea;
}

/* Utilities */
.flex {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.container {
  max-width: 1100px;
  margin: 0 auto;
  overflow: auto;
  padding: 0 40px;
}

footer {
  margin-top: 20ox;
}

@media (max-width: 800px) {
  .grid,
  .showcase .grid,
  .stats .grid,
  .cli .grid,
  .cloud .grid {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
  }

  /* .cli .grid  > img { */
  .cli .grid > *:first-child {
    grid-column: 1;
    grid-row: 1;
    align-self: center;
  }
}

.info {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px;
  margin: 50px 0;
  /* max-width: 400px; */
}

/* Mobile */
@media (max-width: 500px) {
  .showcase {
    height: 60vh;
    width: 100%;
  }

  .navbar {
    height: 110px;
    /* padding: 0 20px; */
  }

  .navbar .flex {
    flex-direction: column;
  }

  .navbar ul {
    background-color: rgba(0, 0, 0, 0.1);
  }

  .showcase-form.card {
    /* display: i16xnline-block; */
    width: 300px;
  }

  .languages h2 {
    font-size: 1.8rem;
  }

  .blog h1 {
    font-size: 2.5rem;
  }
}
